#ifndef QMYMESSAGEBOX_H
#define QMYMESSAGEBOX_H

#include <QMessageBox>
#include "export_ctrls_common.h"
class CTRLS_COMMON_EXPORT QMyMessageBox : public QMessageBox
{
	Q_OBJECT

public:
	QMyMessageBox(QWidget *parent);
	QMyMessageBox( Icon icon, const QString title, const QString info,QMessageBox::StandardButtons buttons);
	~QMyMessageBox();

	void SetMySize(int width, int height);

private:
	int m_iWidth;
	int m_iHeight;
protected:
	virtual void resizeEvent(QResizeEvent *);

};

#endif // QMYMESSAGEBOX_H
